function fCancelar(){
	FrmCls("Usu");
	//---------------------------------------------
	//document.getElementById("CmdE").disabled =true;
	document.getElementById("CmdG").value="Guardar";
	document.getElementById("TxtId").value="";
	document.getElementById("TxtAc").value="L";
	document.getElementById("CmdMen").disabled=true;
	//document.getElementById("Frm").submit();
}
// 
function fReset(){
	if(pre("Esta seguro que desea resetear la base de datos?")){
		var msg=AX("RESET");
		alert("Datos eliminados");
	}
}
//
function OnSetMod(){
}
//
function fGuardar(){
	var id=gv("TxtId");
	var usu=gv("Usu");
	var nom=gv("Nom");
	var pas=gv("Pas");
	var paz=gv("Paz");
	var tip=gv("Tdu");
	var hab=gv("Hab");
	//
	if(jVac(usu,"Ingrese el nombre de usuario","Usu"))return;
	if(jVac(nom,"Ingrese los nombres y apellidos","Nom"))return;	
	if(jVac(pas,"Ingrese el password","Pas"))return;	
	if(jVac(paz,"Repita el password","Paz"))return;	
	if(jVac(tip,"Determine el tipo de usuario","Tdu"))return;	
	if(jVac(hab,"Determine un estado","Hab"))return;		
	//
	if(pas!=paz){
		return AF("Los password no deben ser distintos","Pas");
	}
	//
	if(jL(pas)<5){
		return AF("El password debe tener al menos 5 caracteres","Pas");
	}
	//
	if(gv("CmdG")=="Guardar"){
		if(pre("Esta seguro que desea guardar")){
			var r=AX("02",id,usu);
			if(r=="OK"){
				SM("G");
			}else{
				return AF("Nombre de usuario ya registrado","Usu");
			}
		}
	}else{
		if(pre("Esta seguro que desea modificar")){
			var r=AX("02",id,usu);
			if(r=="OK"){
				SM("M");
			}else{
				return AF("Nombre de usuario ya registrado","Usu");
			}
		}
	}
}
